Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class RowDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.jbo.server.DefObject
oracle.jbo.server.RowDef`

All Implemented Interfaces:
  StructureDef, VariableManagerOwner

Direct Known Subclasses:
  EntityDefImpl, ViewDefImpl

public abstract class RowDef
extends oracle.jbo.server.DefObject
implements StructureDef

Default implementation of DefInterface implemented by all of JBO Definition classes.

Field Summary
`protected java.lang.Class` | `mComponentClass`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`RowDef()`

Method Summary
`protected void` | `addExtendedDefObject(DefinitionObject extendedDefObject)`
`protected java.lang.StringBuffer` | `appendBindingNameForAttr(java.lang.StringBuffer strBuf, AttributeDef attrDef)`
`protected int` | `appendBindingSpec(java.lang.StringBuffer strBuf, int bindingStyle, int bindIndex, AttributeDef attrDef, AttributeDef theOtherAttrDef)`
`protected boolean` | `discrValuesQualify(java.lang.Object[] values)`
`VariableValueManager` | `ensureVariableManager()` Returns this object's Variable Value Manager.
`abstract AttributeDef` | `findAttributeDef(java.lang.String name)` Gets an attribute definition, given its name.
`protected RowDef` | `findDefForDiscrValues(java.lang.Object[] values, boolean recurse)`
`protected void` | `finishedLoading()`
`java.lang.String` | `getAliasName()` Returns the database alias that was declared for this definition object at Design-Time.
`abstract int` | `getAttributeCount()` Returns the number of defined attributes.
`abstract AttributeDef` | `getAttributeDef(int index)` Gets an attribute definition, given its index.
`protected abstract AttributeDefImpl[]` | `getAttributeDefImpls()`
`abstract AttributeDef[]` | `getAttributeDefs()` Gets the defined attributes.
`int` | `getAttributeIndexOf(java.lang.String name)` Finds the index (0-based) of the named attribute.
`DefinitionObject` | `getBaseDefObject()`
`int` | `getBindingStyle()` Returns the Oracle or JDBC binding style defined for this Entity definition.
`java.lang.String` | `getClientProxyClassName()`
`java.lang.String` | `getComponentInterfaceName()`
`java.lang.String` | `getDefFullName()` Returns the fully qualified name of the structure's base definition.
`java.lang.String` | `getDefName()` Returns the structure's base definition name (short form).
`protected AttributeDefImpl[]` | `getDiscrColumns()` Returns the AttributeDef's of the discriminator columns.
`protected java.lang.String` | `getEffectiveClientProxyClassName()`
`protected java.lang.String` | `getEffectiveComponentInterfaceName()`
`java.lang.Class` | `getMessageBundleClass()` Internal: Applications should not use this method.
`oracle.jbo.server.PackageDefImpl` | `getPackageDef()`
`java.lang.String` | `getPackageName()`
`abstract java.lang.Class` | `getRowClass()`
`VariableValueManager` | `getVariableManager()` Returns this object's current Variable Value Manager.
`protected VariableValueManager[]` | `getVarMgrParents()`
`boolean` | `hasVariables()` Returns a flag indicating whether this object has Variables or not.
`protected void` | `loadProperties(DefElement xmlElement)`
`protected void` | `loadVariables(DefElement xmlElement)`
`abstract AttributeDef` | `lookupAttributeDef(java.lang.String name)` Gets an attribute definition, given its name.
`void` | `registerDefObject()` Registers this Row Def with MetaObjectManager.
`abstract void` | `resolveDefObject()`
`protected void` | `resolveReferences()`
`void` | `setAliasName(java.lang.String s)`
`void` | `setBaseDefObject(DefinitionObject baseDefObject)`
`void` | `setBindingStyle(int bindingStyle)` Sets the Oracle or JDBC binding style defined for this Entity definition.
`protected void` | `setClientProxyClassName(java.lang.String name)`
`protected void` | `setComponentInterfaceName(java.lang.String interfaceName)`
`protected void` | `setDiscrColumns(AttributeDefImpl[] discrCols)` Sets the AttributeDef's of the discriminator columns.
`void` | `setMessageBundleClass(java.lang.Class collClass)` Internal: Applications should not use this method.
`protected void` | `setName(java.lang.String name)` Name this object.
`protected void` | `setParent(NamedObjectImpl parent)` Sets this object's parent.
`protected void` | `verifyExtendedDefObjects()`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, setObjectResolved`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.StructureDef
`getFullName, getName`

Methods inherited from interface oracle.jbo.VariableManagerOwner
`getName`

Field Detail

### mComponentClass

    protected java.lang.Class mComponentClass

Constructor Detail

### RowDef

    public RowDef()

Method Detail

### getRowClass

    public abstract java.lang.Class getRowClass()

  Returns:
    The instance object Class.

### getAttributeDefImpls

    protected abstract AttributeDefImpl[] getAttributeDefImpls()

### getDefName

    public java.lang.String getDefName()

  Description copied from interface: `StructureDef`
  Returns the structure's base definition name (short form). Note that, in some cases, a StructureDef may have an instance name and definition name. For example, for a View Object, `getName()` returns the VO's instance name and `getDefName()` returns the View definition's name.
  Specified by:
    `getDefName` in interface `StructureDef`
  Returns:
    name of the structure's base definition.

### getDefFullName

    public java.lang.String getDefFullName()

  Description copied from interface: `StructureDef`
  Returns the fully qualified name of the structure's base definition. Note that, in some cases, a StructureDef may have an instance name and definition name. For example, for a View Object, `getFullName()` returns the VO's full instance name and `getDefFullName()` returns the View definition's full name.
  Specified by:
    `getDefFullName` in interface `StructureDef`
  Returns:
    fully qualified name of the structure's base definition.

### getDiscrColumns

    protected AttributeDefImpl[] getDiscrColumns()

  Returns the AttributeDef's of the discriminator columns.
  Returns:
    an array attribute definitions of the discriminator columns.

### setDiscrColumns

    protected void setDiscrColumns(AttributeDefImpl[] discrCols)

  Sets the AttributeDef's of the discriminator columns.
  Parameters:
    `discrCols` - an array attribute definitions of the discriminator columns.

### discrValuesQualify

    protected boolean discrValuesQualify(java.lang.Object[] values)

### verifyExtendedDefObjects

    protected void verifyExtendedDefObjects()

### addExtendedDefObject

    protected void addExtendedDefObject(DefinitionObject extendedDefObject)

  Overrides:
    `addExtendedDefObject` in class `DefinitionObject`

### findDefForDiscrValues

    protected RowDef findDefForDiscrValues(java.lang.Object[] values,
                                           boolean recurse)

### getBindingStyle

    public int getBindingStyle()

  Returns the Oracle or JDBC binding style defined for this Entity definition. The integer values and their meaning are determined by the `SQLBuilder` interface.
  Returns:
    an integer representing the Oracle or JDBC binding style. The returns values can be:
    - -1 - unknown
    - 0 - JDBC
    - 1 - Oracle
  See Also:
    `SQLBuilder`

### setBindingStyle

    public void setBindingStyle(int bindingStyle)

  Sets the Oracle or JDBC binding style defined for this Entity definition. The integer values and their meaning are determined by the `SQLBuilder` interface.
  Parameters:
    `bindingStyle` - an integer representing the Oracle or JDBC binding style for this Entity definition. The possible values can be:
    - -1 unknown
    - 0 JDBC
    - 1 Oracle
  See Also:
    `SQLBuilder`

### getAliasName

    public java.lang.String getAliasName()

  Returns the database alias that was declared for this definition object at Design-Time.
  Returns:
    the alias for this definition object as a `String`.

### setAliasName

    public void setAliasName(java.lang.String s)

### getAttributeDefs

    public abstract AttributeDef[] getAttributeDefs()

  Gets the defined attributes.
  Specified by:
    `getAttributeDefs` in interface `StructureDef`
  Returns:
    an array of attribute definitions.

### getAttributeCount

    public abstract int getAttributeCount()

  Returns the number of defined attributes.
  Specified by:
    `getAttributeCount` in interface `StructureDef`
  Returns:
    the number of attributes.

### findAttributeDef

    public abstract AttributeDef findAttributeDef(java.lang.String name)

  Gets an attribute definition, given its name.
  Specified by:
    `findAttributeDef` in interface `StructureDef`
  Parameters:
    `name` - the name of an `AttributeDef`.
  Returns:
    an attribute definition
  Throws:
    `NoDefException` - - if the attribute is not found.

### lookupAttributeDef

    public abstract AttributeDef lookupAttributeDef(java.lang.String name)

  Gets an attribute definition, given its name.
  Specified by:
    `lookupAttributeDef` in interface `StructureDef`
  Parameters:
    `name` - the name of an `AttributeDef`.
  Returns:
    an attribute definition if found, null otherwise

### getAttributeDef

    public abstract AttributeDef getAttributeDef(int index)

  Gets an attribute definition, given its index.
  Specified by:
    `getAttributeDef` in interface `StructureDef`
  Parameters:
    `index` - the index of an `AttributeDef`, where the leftmost attribute has index zero.
  Returns:
    an attribute definition.

### getAttributeIndexOf

    public int getAttributeIndexOf(java.lang.String name)

  Description copied from interface: `StructureDef`
  Finds the index (0-based) of the named attribute.
  Specified by:
    `getAttributeIndexOf` in interface `StructureDef`
  Parameters:
    `name` - the attribute's name.
  Returns:
    an integer in the range `0` to `getAttributeCount() - 1`. If the named attribute is not found, it returns -1.

### resolveDefObject

    public abstract void resolveDefObject()

### registerDefObject

    public void registerDefObject()

  Registers this Row Def with MetaObjectManager. This method should be called for a Row Def which is created programmatically. It is not for a Row Def loaded from an XML file.

  This method should be called after the Row Def is all set up and after `resolveDefObject()` is called.

### appendBindingNameForAttr

    protected java.lang.StringBuffer appendBindingNameForAttr(java.lang.StringBuffer strBuf,
                                                              AttributeDef attrDef)

### appendBindingSpec

    protected int appendBindingSpec(java.lang.StringBuffer strBuf,
                                    int bindingStyle,
                                    int bindIndex,
                                    AttributeDef attrDef,
                                    AttributeDef theOtherAttrDef)

### getPackageDef

    public oracle.jbo.server.PackageDefImpl getPackageDef()

### getPackageName

    public java.lang.String getPackageName()

### setName

    protected void setName(java.lang.String name)

  Name this object.
  Overrides:
    `setName` in class `DefinitionObject`
  Parameters:
    `name` - the name to be given to this object.

### getBaseDefObject

    public DefinitionObject getBaseDefObject()

  Overrides:
    `getBaseDefObject` in class `DefinitionObject`

### setBaseDefObject

    public void setBaseDefObject(DefinitionObject baseDefObject)

  Overrides:
    `setBaseDefObject` in class `DefinitionObject`

### resolveReferences

    protected void resolveReferences()

  Overrides:
    `resolveReferences` in class `DefinitionObject`

### finishedLoading

    protected void finishedLoading()

  Overrides:
    `finishedLoading` in class `DefinitionObject`

### setParent

    protected void setParent(NamedObjectImpl parent)

  Sets this object's parent.
  Overrides:
    `setParent` in class `DefinitionObject`
  Parameters:
    `parent` - the named object that is to be the parent of this object.

### loadProperties

    protected void loadProperties(DefElement xmlElement)

  Overrides:
    `loadProperties` in class `DefinitionObject`
  Parameters:
    `xmlElement` - The XML element to load from.

### loadVariables

    protected void loadVariables(DefElement xmlElement)

### setComponentInterfaceName

    protected void setComponentInterfaceName(java.lang.String interfaceName)

### getComponentInterfaceName

    public java.lang.String getComponentInterfaceName()

### getClientProxyClassName

    public java.lang.String getClientProxyClassName()

### setClientProxyClassName

    protected void setClientProxyClassName(java.lang.String name)

### getEffectiveClientProxyClassName

    protected java.lang.String getEffectiveClientProxyClassName()

### getEffectiveComponentInterfaceName

    protected java.lang.String getEffectiveComponentInterfaceName()

### getVariableManager

    public VariableValueManager getVariableManager()

  Description copied from interface: `VariableManagerOwner`
  Returns this object's current Variable Value Manager. It will return `null` if Variable Value Manager has been initialized.

  When a framework object is first created, its Variable Value Manager may be null. This method does not initialize (create) the Variable Value Manager.

  ``VariableManagerOwner.ensureVariableManager()`` in contrast, ensures that the Variable Value Manager is initialized (created).

  Specified by:
    `getVariableManager` in interface `VariableManagerOwner`
  Returns:
    this object's current Variable Value Manager. May return `null` if one was not yet initialized.

### getVarMgrParents

    protected VariableValueManager[] getVarMgrParents()

### hasVariables

    public boolean hasVariables()

  Description copied from interface: `VariableManagerOwner`
  Returns a flag indicating whether this object has Variables or not.
  Specified by:
    `hasVariables` in interface `VariableManagerOwner`
  Returns:
    the flag indicating whether this object has Variables.

### ensureVariableManager

    public VariableValueManager ensureVariableManager()

  Description copied from interface: `VariableManagerOwner`
  Returns this object's Variable Value Manager. If this object current has no Variable Value Manager, it will initialize (create) one.
  Specified by:
    `ensureVariableManager` in interface `VariableManagerOwner`
  Returns:
    this object's Variable Value Manager. Will create a Variable Value Manager if this object had no Variable Value Manager.

### setMessageBundleClass

    public void setMessageBundleClass(java.lang.Class collClass)

  Internal: Applications should not use this method.

  Sets the implementation class for this Object's Message Bundle class.

  Parameters:
    `collClass` - the message bundle implementation class.

### getMessageBundleClass

    public java.lang.Class getMessageBundleClass()

  Internal: Applications should not use this method.

  Returns the class of the reference object.

  Specified by:
    `getMessageBundleClass` in interface `VariableManagerOwner`
  Returns:
    the class of the reference object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.